Description

Dear concern,

I combined i_hhresp, i_indall, j_hhresp and j_indall datasets in Stata using 'pidp' variable and xwavedat file. Now I need to combine

child module of wave 9 and wave 10 which are j_child and i_child. I tried combining with pidp. its only showing 10,000 match and

when I do crosstabs, its showing no observation found.

I want to see child care seeking pattern of employed women in wave 9 who dropped out from work in wave 10. I have identified drop

out women. But when I do crosstab of drop out  women with child care (for example, i_wrkch2a0), its showing no observation found

which is unusual. So, I think, I could not link the child module properly. Please help. This is for my masters disssertation and I need to

solve this urgently.

Thanks,

Rafeta

History

#1 - 08/17/2022 11:28 AM - Understanding Society  User Support Team

- Status changed from New to In Progress

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days.

Best wishes,

Understanding Society User Support Team

#2 - 08/18/2022 03:10 PM - Understanding Society  User Support Team

- Category set to Data management

- Status changed from In Progress to Feedback

- % Done changed from 0 to 90

Dear Rafeya,

I think that the issue is related to what is the unit of analysis in each of these files. Let's have a look from the perspective of the child file - this file

contains individuals aged 0-15 living in each household, so:

1) it is impossible to link it to indresp using pidp because indresp contains answers to the adult questionnaire so by definition it includes only

individuals aged 16+ - so there is no match between child and indresp using pidp

2) it is impossible to link the child file (or any other individual-level file, so indall or inderesp too) to hhresp using pidp because hhresp is a household

level file and contains the information about households not individuals, to link to hhresp you need to use i_hidp or j_hidp, you need to remember that

you can do that linkage only within one wave, so you can link i_indresp to i_hhresp, but not i_indresp to j_hhresp. This is because w_hidp is unique

only within one wave.

3) it is possible, however, to link child to indall as the latter includes all individuals aged 0+ in the household.

You can read more about the different data files, their content and identifiers available here: 

https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/list-of-data-files-and-their-descriptions

To link mothers with children you need to use other identifiers, e.g i_mnpid (pidp of the natural mother) or others (i_pns1pid, i_pns1pno, i_pns1sex,

i_pns2pid, i_pns2pno, i_pns2sex) depending on you definition, but I think it’s best to start with the syntax matching co-resident parents' information

available on our website: 

https://www.understandingsociety.ac.uk/sites/default/files/downloads/documentation/mainstage/syntax/stata/stata-parents-children-matching.do

After you have merged each child with their parents’ information you can then link the variables you need from indall (either linking this to the child, or

the parents, or both, using the relevant identifier variables) and then from hhresp.

I hope it helps.

Best wishes,
https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/list-of-data-files-and-their-descriptions
https://www.understandingsociety.ac.uk/sites/default/files/downloads/documentation/mainstage/syntax/stata/stata-parents-children-matching.do


Piotr,

UKHLS User Support Team

#3 - 11/30/2023 11:03 AM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- % Done changed from 90 to 100

Files

16 august_2022_Log file_2_work after child module merging.smcl 28 KB 08/17/2022 Rafeya Azad
